
!CompiledMethod methodsFor: '*AST-Interpreter-Extension' stamp: 'CamilloBruni 12/5/2011 16:12'!
accept: visitor on: receiver message: aMessage
	self isPrimitive ifTrue: [ 
			^ visitor 
				invokePrimitiveMethod: self 
				on: receiver 
				message: aMessage ].
			
	self isReflective ifTrue: [ 
		^ visitor 
			invokeReflectiveMethod: self
			on: receiver 
			message: aMessage].
		
	^ visitor 
		invokeMethod: self 
		on: receiver 
		message: aMessage! !

!CompiledMethod methodsFor: '*AST-Interpreter-Extension' stamp: 'CamilloBruni 12/9/2011 13:59'!
ast
	^ ASTCache at: self! !

!CompiledMethod methodsFor: '*AST-Interpreter-Extension' stamp: 'CamilloBruni 12/5/2011 14:14'!
code
	^ self ast! !

!CompiledMethod methodsFor: '*AST-Interpreter-Extension' stamp: 'CamilloBruni 2/20/2012 15:34'!
hasPragmaNamed: aSymbol
	^ self pragmas anySatisfy: [ :pragma | pragma keyword = aSymbol ]! !

!CompiledMethod methodsFor: '*AST-Interpreter-Extension' stamp: 'CamilloBruni 12/5/2011 11:08'!
isPrimitive
	^ self primitive ~= 0! !

!CompiledMethod methodsFor: '*AST-Interpreter-Extension' stamp: 'CamilloBruni 2/3/2012 15:44'!
isReflective
	^ (self hasPragmaNamed: #reflective:)! !

!CompiledMethod methodsFor: '*AST-Interpreter-Extension' stamp: 'CamilloBruni 2/17/2012 14:33'!
recompile
	^ self methodClass recompile: self selector! !

!ContextPart methodsFor: '*AST-Interpreter-Extension' stamp: 'CamilloBruni 12/12/2011 14:33'!
returnContext
	^ self methodReturnContext! !
